org.eclipse.wst.jsdt.ui

## Class JavaElementSorter

- java.lang.Object
- - ViewerSorter
  - - org.eclipse.wst.jsdt.ui.JavaElementSorter

    public class JavaElementSorter
    extends ViewerSorter

Sorter for JavaScript elements. Ordered by element category, then by element name. Package fragment roots are sorted as ordered on the classpath.

This class may be instantiated; it is not intended to be subclassed.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`JavaElementSorter()` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`int` `category(java.lang.Object element)`
`int` `compare(Viewer viewer, java.lang.Object e1, java.lang.Object e2)`
`java.text.Collator` `getCollator()` Deprecated. The method is not intended to be used by clients.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavaElementSorter

    public JavaElementSorter()

Constructor.

### Method Detail

#### category

    public int category(java.lang.Object element)

#### compare

    public int compare(Viewer viewer,
                       java.lang.Object e1,
                       java.lang.Object e2)

#### getCollator

    public final java.text.Collator getCollator()

Deprecated. The method is not intended to be used by clients.
Overrides `org.eclipse.jface.viewers.ViewerSorter#getCollator()`.